Skip to main content
`Ctrl`+`K`

# SNESGetNormSchedule

Gets the `SNESNormSchedule` used in convergence and monitoring of the `SNES` method.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetNormSchedule(SNES snes, SNESNormSchedule *normschedule)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- normschedule - the type of the norm used

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetNormSchedule()`, `SNESComputeFunction()`, `VecNorm()`, `SNESSetFunction()`, `SNESSetInitialFunction()`, `SNESNormSchedule`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages